Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes.mdx
Class TMdxDimensionNode

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.mdx.TMdxObjectNode
              gudusoft.gsqlparser.nodes.mdx.TMdxDimensionNode

All Implemented Interfaces:
  Visitable

    public class TMdxDimensionNode

extends TMdxObjectNode

Constructor Summary
`TMdxDimensionNode()`

Method Summary
`void` | `accept(TParseTreeVisitor v)`
`TMdxDimContentNode` | `getDimensionContentNode()`
`TMdxIdentifierNode` | `getFromDimensionName()`
`void` | `init(java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)`

Methods inherited from class gudusoft.gsqlparser.nodes.mdx.TMdxObjectNode
`getAsObjectName, getObjectName, init`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TMdxDimensionNode

    public TMdxDimensionNode()

Method Detail

### getDimensionContentNode

    public TMdxDimContentNode getDimensionContentNode()

### getFromDimensionName

    public TMdxIdentifierNode getFromDimensionName()

### init

    public void init(java.lang.Object arg1,
                     java.lang.Object arg2,
                     java.lang.Object arg3,
                     java.lang.Object arg4)

  Overrides:
    `init` in class `TParseTreeNode`

### accept

    public void accept(TParseTreeVisitor v)

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD